# Typecode_types.pidl File Reference

## Namespaces

namespace | CORBA

## Enumerations

enum

TCKind {
tk_null, tk_void, tk_short, tk_long,
tk_ushort, tk_ulong, tk_float, tk_double,
tk_boolean, tk_char, tk_octet, tk_any,
tk_TypeCode, tk_Principal, tk_objref, tk_struct,
tk_union, tk_enum, tk_string, tk_sequence,
tk_array, tk_alias, tk_except, tk_longlong,
tk_ulonglong, tk_longdouble, tk_wchar, tk_wstring,
tk_fixed, tk_value, tk_value_box, tk_native,
tk_abstract_interface, tk_local_interface, tk_component, tk_home,
tk_event
}

## Enumeration Type Documentation

enum TCKind

Enumeration values:

  tk_null |
  tk_void |
  tk_short |
  tk_long |
  tk_ushort |
  tk_ulong |
  tk_float |
  tk_double |
  tk_boolean |
  tk_char |
  tk_octet |
  tk_any |
  tk_TypeCode |
  tk_Principal |
  tk_objref |
  tk_struct |
  tk_union |
  tk_enum |
  tk_string |
  tk_sequence |
  tk_array |
  tk_alias |
  tk_except |
  tk_longlong |
  tk_ulonglong |
  tk_longdouble |
  tk_wchar |
  tk_wstring |
  tk_fixed |
  tk_value |
  tk_value_box |
  tk_native |
  tk_abstract_interface |
  tk_local_interface |
  tk_component |
  tk_home |
  tk_event |